Bug 1001259 - pykde4 : duplicate documentation files / potentially conflicting
pykde4 : duplicate documentation files / potentially conflicting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pykde4 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-26 15:56 EDT by Michael Schwendt
Modified: 2015-10-19 09:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-19 09:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-26 15:56:59 EDT
Duplicate documentation files have been detected in the package
builds for Rawhide and Fedora 20. The likely cause is the unversioned
docdirs change in Fedora 20.

If your package %installs documentation files into %{_docdir}/%{name}/ to
store them in a subpackage, this now conflicts with using the %doc
macro in the base package. Since Fedora 20, the %doc macro installs into
the unversioned %{_docdir}/%{name}/ and includes everything in that
directory. One obvious fix is to decide between either using %doc or
installing into %{_docdir}/%{name}/ manually as explained in the
Packaging tricks Wiki section (for past dist releases and the versioned
docdir).

General discussion of this problem:
https://fedorahosted.org/fpc/ticket/338

Further information:
http://fedoraproject.org/wiki/Changes/UnversionedDocdirs
https://fedoraproject.org/wiki/Packaging_tricks#Installing_documentation:_2_paths

[semi-automated bug report]

[...]

=> pykde4-4.11.0-1.fc20.src.rpm
=> python3-pykde4-devel-4.11.0-1.fc20.i686 in fedora-development-i386
  File conflict with: python3-pykde4-4.11.0-1.fc20.i686
     /usr/share/doc/python3-pykde4/examples/__init__.py
     /usr/share/doc/python3-pykde4/examples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/default.py
     /usr/share/doc/python3-pykde4/examples/default.pyc
     /usr/share/doc/python3-pykde4/examples/default.pyo
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kaboutdata.py
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kaboutdata.pyc
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kaboutdata.pyo
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kstandarddirs.py
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kstandarddirs.pyc
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kstandarddirs.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutapplicationdialog.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutapplicationdialog.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutapplicationdialog.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutkdedialog.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutkdedialog.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutkdedialog.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kapplication.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kapplication.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kapplication.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorbutton.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorbutton.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorbutton.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcells.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcells.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcells.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcombo.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcombo.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcombo.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolordialog.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolordialog.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolordialog.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorpatch.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorpatch.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorpatch.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcombobox.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcombobox.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcombobox.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatepicker.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatepicker.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatepicker.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatewidget.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatewidget.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatewidget.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kfontdialog.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kfontdialog.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kfontdialog.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/klistwidget.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/klistwidget.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/klistwidget.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kmainwindow.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kmainwindow.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kmainwindow.pyo
     /usr/share/doc/python3-pykde4/examples/khtmlExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/khtmlExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/khtmlExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/kioExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/kioExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/kioExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/katepart.py
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/katepart.pyc
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/katepart.pyo
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/konsolepart.py
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/konsolepart.pyc
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/konsolepart.pyo
     /usr/share/doc/python3-pykde4/examples/kutilsExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/kutilsExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/kutilsExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/PkExampleUi.py
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/PkExampleUi.pyc
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/PkExampleUi.pyo
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/README
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexample.py
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexample.pyc
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexample.pyo
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexamplehelper.py
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexamplehelper.pyc
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexamplehelper.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_audiointerface.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_audiointerface.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_audiointerface.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_device.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_device.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_device.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_networkinterface.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_networkinterface.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_networkinterface.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_processor.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_processor.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_processor.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storageaccess.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storageaccess.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storageaccess.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagedrive.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagedrive.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagedrive.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagevolume.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagevolume.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagevolume.pyo
     /usr/share/doc/python3-pykde4/examples/solid_demo.py
     /usr/share/doc/python3-pykde4/examples/solid_demo.pyc
     /usr/share/doc/python3-pykde4/examples/solid_demo.pyo

=> pykde4-4.11.0-1.fc20.src.rpm
=> python3-pykde4-4.11.0-1.fc20.i686 in fedora-development-i386
  File conflict with: python3-pykde4-devel-4.11.0-1.fc20.i686
     /usr/share/doc/python3-pykde4/examples/__init__.py
     /usr/share/doc/python3-pykde4/examples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/default.py
     /usr/share/doc/python3-pykde4/examples/default.pyc
     /usr/share/doc/python3-pykde4/examples/default.pyo
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kaboutdata.py
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kaboutdata.pyc
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kaboutdata.pyo
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kstandarddirs.py
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kstandarddirs.pyc
     /usr/share/doc/python3-pykde4/examples/kdecoreExamples/kstandarddirs.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutapplicationdialog.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutapplicationdialog.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutapplicationdialog.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutkdedialog.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutkdedialog.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kaboutkdedialog.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kapplication.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kapplication.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kapplication.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorbutton.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorbutton.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorbutton.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcells.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcells.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcells.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcombo.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcombo.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorcombo.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolordialog.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolordialog.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolordialog.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorpatch.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorpatch.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcolorpatch.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcombobox.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcombobox.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kcombobox.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatepicker.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatepicker.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatepicker.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatewidget.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatewidget.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kdatewidget.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kfontdialog.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kfontdialog.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kfontdialog.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/klistwidget.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/klistwidget.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/klistwidget.pyo
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kmainwindow.py
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kmainwindow.pyc
     /usr/share/doc/python3-pykde4/examples/kdeuiExamples/kmainwindow.pyo
     /usr/share/doc/python3-pykde4/examples/khtmlExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/khtmlExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/khtmlExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/kioExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/kioExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/kioExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/katepart.py
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/katepart.pyc
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/katepart.pyo
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/konsolepart.py
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/konsolepart.pyc
     /usr/share/doc/python3-pykde4/examples/kpartsExamples/konsolepart.pyo
     /usr/share/doc/python3-pykde4/examples/kutilsExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/kutilsExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/kutilsExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/PkExampleUi.py
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/PkExampleUi.pyc
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/PkExampleUi.pyo
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/README
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexample.py
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexample.pyc
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexample.pyo
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexamplehelper.py
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexamplehelper.pyc
     /usr/share/doc/python3-pykde4/examples/polkitqtExamples/pkexamplehelper.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/__init__.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/__init__.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/__init__.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_audiointerface.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_audiointerface.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_audiointerface.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_device.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_device.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_device.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_networkinterface.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_networkinterface.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_networkinterface.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_processor.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_processor.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_processor.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storageaccess.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storageaccess.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storageaccess.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagedrive.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagedrive.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagedrive.pyo
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagevolume.py
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagevolume.pyc
     /usr/share/doc/python3-pykde4/examples/solidExamples/solid_storagevolume.pyo
     /usr/share/doc/python3-pykde4/examples/solid_demo.py
     /usr/share/doc/python3-pykde4/examples/solid_demo.pyc
     /usr/share/doc/python3-pykde4/examples/solid_demo.pyo
Comment 1 Rex Dieter 2014-03-17 11:18:56 EDT
probably worth considering putting these docs/examples into a separate (possibly shared) noarch subpkg
Comment 2 Jaroslav Reznik 2015-03-03 10:00:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Ville Skyttä 2015-10-18 03:36:47 EDT
pykde4-4.14.3-7.fc23 is still affected.
Comment 4 Rex Dieter 2015-10-19 08:08:40 EDT
%changelog
* Mon Oct 19 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-8
- new -examples subpkg, non-multilib subpkg (#1001259)
Comment 5 Rex Dieter 2015-10-19 09:14:19 EDT
Fixed in rawhide, will roll this into any future update (but probably won't release an update just for this)

Note You need to log in before you can comment on or make changes to this bug.